commit 865dc24046467e6024f854e2f169a916593f354e
Author: JuergenPurtz <juergen@purtz.de>
Date:   Thu Dec 21 10:57:41 2017 +0100

    Reordering according to SQLSTATE column

diff --git a/src/backend/utils/errcodes.txt b/src/backend/utils/errcodes.txt
index 76fe79e..5d59ac5 100644
--- a/src/backend/utils/errcodes.txt
+++ b/src/backend/utils/errcodes.txt
@@ -82,12 +82,12 @@ Section: Class 01 - Warning
 
 # do not use this class for failure conditions
 01000    W    ERRCODE_WARNING                                                warning
-0100C    W    ERRCODE_WARNING_DYNAMIC_RESULT_SETS_RETURNED                   dynamic_result_sets_returned
-01008    W    ERRCODE_WARNING_IMPLICIT_ZERO_BIT_PADDING                      implicit_zero_bit_padding
 01003    W    ERRCODE_WARNING_NULL_VALUE_ELIMINATED_IN_SET_FUNCTION          null_value_eliminated_in_set_function
-01007    W    ERRCODE_WARNING_PRIVILEGE_NOT_GRANTED                          privilege_not_granted
-01006    W    ERRCODE_WARNING_PRIVILEGE_NOT_REVOKED                          privilege_not_revoked
 01004    W    ERRCODE_WARNING_STRING_DATA_RIGHT_TRUNCATION                   string_data_right_truncation
+01006    W    ERRCODE_WARNING_PRIVILEGE_NOT_REVOKED                          privilege_not_revoked
+01007    W    ERRCODE_WARNING_PRIVILEGE_NOT_GRANTED                          privilege_not_granted
+01008    W    ERRCODE_WARNING_IMPLICIT_ZERO_BIT_PADDING                      implicit_zero_bit_padding
+0100C    W    ERRCODE_WARNING_DYNAMIC_RESULT_SETS_RETURNED                   dynamic_result_sets_returned
 01P01    W    ERRCODE_WARNING_DEPRECATED_FEATURE                             deprecated_feature
 
 Section: Class 02 - No Data (this is also a warning class per the SQL standard)
@@ -103,10 +103,10 @@ Section: Class 03 - SQL Statement Not Yet Complete
 Section: Class 08 - Connection Exception
 
 08000    E    ERRCODE_CONNECTION_EXCEPTION                                   connection_exception
-08003    E    ERRCODE_CONNECTION_DOES_NOT_EXIST                              connection_does_not_exist
-08006    E    ERRCODE_CONNECTION_FAILURE                                     connection_failure
 08001    E    ERRCODE_SQLCLIENT_UNABLE_TO_ESTABLISH_SQLCONNECTION            sqlclient_unable_to_establish_sqlconnection
+08003    E    ERRCODE_CONNECTION_DOES_NOT_EXIST                              connection_does_not_exist
 08004    E    ERRCODE_SQLSERVER_REJECTED_ESTABLISHMENT_OF_SQLCONNECTION      sqlserver_rejected_establishment_of_sqlconnection
+08006    E    ERRCODE_CONNECTION_FAILURE                                     connection_failure
 08007    E    ERRCODE_TRANSACTION_RESOLUTION_UNKNOWN                         transaction_resolution_unknown
 08P01    E    ERRCODE_PROTOCOL_VIOLATION                                     protocol_violation
 
@@ -153,58 +153,58 @@ Section: Class 21 - Cardinality Violation
 Section: Class 22 - Data Exception
 
 22000    E    ERRCODE_DATA_EXCEPTION                                         data_exception
-2202E    E    ERRCODE_ARRAY_ELEMENT_ERROR
-# SQL99's actual definition of "array element error" is subscript error
-2202E    E    ERRCODE_ARRAY_SUBSCRIPT_ERROR                                  array_subscript_error
-22021    E    ERRCODE_CHARACTER_NOT_IN_REPERTOIRE                            character_not_in_repertoire
-22008    E    ERRCODE_DATETIME_FIELD_OVERFLOW                                datetime_field_overflow
-22008    E    ERRCODE_DATETIME_VALUE_OUT_OF_RANGE
-22012    E    ERRCODE_DIVISION_BY_ZERO                                       division_by_zero
+22001    E    ERRCODE_STRING_DATA_RIGHT_TRUNCATION                           string_data_right_truncation
+22002    E    ERRCODE_NULL_VALUE_NO_INDICATOR_PARAMETER                      null_value_no_indicator_parameter
+22003    E    ERRCODE_NUMERIC_VALUE_OUT_OF_RANGE                             numeric_value_out_of_range
+22004    E    ERRCODE_NULL_VALUE_NOT_ALLOWED                                 null_value_not_allowed
 22005    E    ERRCODE_ERROR_IN_ASSIGNMENT                                    error_in_assignment
+22007    E    ERRCODE_INVALID_DATETIME_FORMAT                                invalid_datetime_format
+22008    E    ERRCODE_DATETIME_VALUE_OUT_OF_RANGE
+22008    E    ERRCODE_DATETIME_FIELD_OVERFLOW                                datetime_field_overflow
+22009    E    ERRCODE_INVALID_TIME_ZONE_DISPLACEMENT_VALUE                   invalid_time_zone_displacement_value
 2200B    E    ERRCODE_ESCAPE_CHARACTER_CONFLICT                              escape_character_conflict
-22022    E    ERRCODE_INDICATOR_OVERFLOW                                     indicator_overflow
-22015    E    ERRCODE_INTERVAL_FIELD_OVERFLOW                                interval_field_overflow
-2201E    E    ERRCODE_INVALID_ARGUMENT_FOR_LOG                               invalid_argument_for_logarithm
+2200C    E    ERRCODE_INVALID_USE_OF_ESCAPE_CHARACTER                        invalid_use_of_escape_character
+2200D    E    ERRCODE_INVALID_ESCAPE_OCTET                                   invalid_escape_octet
+2200F    E    ERRCODE_ZERO_LENGTH_CHARACTER_STRING                           zero_length_character_string
+2200G    E    ERRCODE_MOST_SPECIFIC_TYPE_MISMATCH                            most_specific_type_mismatch
+2200H    E    ERRCODE_SEQUENCE_GENERATOR_LIMIT_EXCEEDED                      sequence_generator_limit_exceeded
+2200L    E    ERRCODE_NOT_AN_XML_DOCUMENT                                    not_an_xml_document
+2200M    E    ERRCODE_INVALID_XML_DOCUMENT                                   invalid_xml_document
+2200N    E    ERRCODE_INVALID_XML_CONTENT                                    invalid_xml_content
+2200S    E    ERRCODE_INVALID_XML_COMMENT                                    invalid_xml_comment
+2200T    E    ERRCODE_INVALID_XML_PROCESSING_INSTRUCTION                     invalid_xml_processing_instruction
+22010    E    ERRCODE_INVALID_INDICATOR_PARAMETER_VALUE                      invalid_indicator_parameter_value
+22011    E    ERRCODE_SUBSTRING_ERROR                                        substring_error
+22012    E    ERRCODE_DIVISION_BY_ZERO                                       division_by_zero
 22014    E    ERRCODE_INVALID_ARGUMENT_FOR_NTILE                             invalid_argument_for_ntile_function
+22015    E    ERRCODE_INTERVAL_FIELD_OVERFLOW                                interval_field_overflow
 22016    E    ERRCODE_INVALID_ARGUMENT_FOR_NTH_VALUE                         invalid_argument_for_nth_value_function
-2201F    E    ERRCODE_INVALID_ARGUMENT_FOR_POWER_FUNCTION                    invalid_argument_for_power_function
-2201G    E    ERRCODE_INVALID_ARGUMENT_FOR_WIDTH_BUCKET_FUNCTION             invalid_argument_for_width_bucket_function
 22018    E    ERRCODE_INVALID_CHARACTER_VALUE_FOR_CAST                       invalid_character_value_for_cast
-22007    E    ERRCODE_INVALID_DATETIME_FORMAT                                invalid_datetime_format
 22019    E    ERRCODE_INVALID_ESCAPE_CHARACTER                               invalid_escape_character
-2200D    E    ERRCODE_INVALID_ESCAPE_OCTET                                   invalid_escape_octet
-22025    E    ERRCODE_INVALID_ESCAPE_SEQUENCE                                invalid_escape_sequence
-22P06    E    ERRCODE_NONSTANDARD_USE_OF_ESCAPE_CHARACTER                    nonstandard_use_of_escape_character
-22010    E    ERRCODE_INVALID_INDICATOR_PARAMETER_VALUE                      invalid_indicator_parameter_value
-22023    E    ERRCODE_INVALID_PARAMETER_VALUE                                invalid_parameter_value
 2201B    E    ERRCODE_INVALID_REGULAR_EXPRESSION                             invalid_regular_expression
+2201E    E    ERRCODE_INVALID_ARGUMENT_FOR_LOG                               invalid_argument_for_logarithm
+2201F    E    ERRCODE_INVALID_ARGUMENT_FOR_POWER_FUNCTION                    invalid_argument_for_power_function
+2201G    E    ERRCODE_INVALID_ARGUMENT_FOR_WIDTH_BUCKET_FUNCTION             invalid_argument_for_width_bucket_function
 2201W    E    ERRCODE_INVALID_ROW_COUNT_IN_LIMIT_CLAUSE                      invalid_row_count_in_limit_clause
 2201X    E    ERRCODE_INVALID_ROW_COUNT_IN_RESULT_OFFSET_CLAUSE              invalid_row_count_in_result_offset_clause
-2202H    E    ERRCODE_INVALID_TABLESAMPLE_ARGUMENT                           invalid_tablesample_argument
-2202G    E    ERRCODE_INVALID_TABLESAMPLE_REPEAT                             invalid_tablesample_repeat
-22009    E    ERRCODE_INVALID_TIME_ZONE_DISPLACEMENT_VALUE                   invalid_time_zone_displacement_value
-2200C    E    ERRCODE_INVALID_USE_OF_ESCAPE_CHARACTER                        invalid_use_of_escape_character
-2200G    E    ERRCODE_MOST_SPECIFIC_TYPE_MISMATCH                            most_specific_type_mismatch
-22004    E    ERRCODE_NULL_VALUE_NOT_ALLOWED                                 null_value_not_allowed
-22002    E    ERRCODE_NULL_VALUE_NO_INDICATOR_PARAMETER                      null_value_no_indicator_parameter
-22003    E    ERRCODE_NUMERIC_VALUE_OUT_OF_RANGE                             numeric_value_out_of_range
-2200H    E    ERRCODE_SEQUENCE_GENERATOR_LIMIT_EXCEEDED                      sequence_generator_limit_exceeded
+22021    E    ERRCODE_CHARACTER_NOT_IN_REPERTOIRE                            character_not_in_repertoire
+22022    E    ERRCODE_INDICATOR_OVERFLOW                                     indicator_overflow
+22023    E    ERRCODE_INVALID_PARAMETER_VALUE                                invalid_parameter_value
+22024    E    ERRCODE_UNTERMINATED_C_STRING                                  unterminated_c_string
+22025    E    ERRCODE_INVALID_ESCAPE_SEQUENCE                                invalid_escape_sequence
 22026    E    ERRCODE_STRING_DATA_LENGTH_MISMATCH                            string_data_length_mismatch
-22001    E    ERRCODE_STRING_DATA_RIGHT_TRUNCATION                           string_data_right_truncation
-22011    E    ERRCODE_SUBSTRING_ERROR                                        substring_error
 22027    E    ERRCODE_TRIM_ERROR                                             trim_error
-22024    E    ERRCODE_UNTERMINATED_C_STRING                                  unterminated_c_string
-2200F    E    ERRCODE_ZERO_LENGTH_CHARACTER_STRING                           zero_length_character_string
+2202E    E    ERRCODE_ARRAY_ELEMENT_ERROR
+# SQL99's actual definition of "array element error" is subscript error
+2202E    E    ERRCODE_ARRAY_SUBSCRIPT_ERROR                                  array_subscript_error
+2202G    E    ERRCODE_INVALID_TABLESAMPLE_REPEAT                             invalid_tablesample_repeat
+2202H    E    ERRCODE_INVALID_TABLESAMPLE_ARGUMENT                           invalid_tablesample_argument
 22P01    E    ERRCODE_FLOATING_POINT_EXCEPTION                               floating_point_exception
 22P02    E    ERRCODE_INVALID_TEXT_REPRESENTATION                            invalid_text_representation
 22P03    E    ERRCODE_INVALID_BINARY_REPRESENTATION                          invalid_binary_representation
 22P04    E    ERRCODE_BAD_COPY_FILE_FORMAT                                   bad_copy_file_format
 22P05    E    ERRCODE_UNTRANSLATABLE_CHARACTER                               untranslatable_character
-2200L    E    ERRCODE_NOT_AN_XML_DOCUMENT                                    not_an_xml_document
-2200M    E    ERRCODE_INVALID_XML_DOCUMENT                                   invalid_xml_document
-2200N    E    ERRCODE_INVALID_XML_CONTENT                                    invalid_xml_content
-2200S    E    ERRCODE_INVALID_XML_COMMENT                                    invalid_xml_comment
-2200T    E    ERRCODE_INVALID_XML_PROCESSING_INSTRUCTION                     invalid_xml_processing_instruction
+22P06    E    ERRCODE_NONSTANDARD_USE_OF_ESCAPE_CHARACTER                    nonstandard_use_of_escape_character
 
 Section: Class 23 - Integrity Constraint Violation
 
@@ -225,12 +225,12 @@ Section: Class 25 - Invalid Transaction State
 25000    E    ERRCODE_INVALID_TRANSACTION_STATE                              invalid_transaction_state
 25001    E    ERRCODE_ACTIVE_SQL_TRANSACTION                                 active_sql_transaction
 25002    E    ERRCODE_BRANCH_TRANSACTION_ALREADY_ACTIVE                      branch_transaction_already_active
-25008    E    ERRCODE_HELD_CURSOR_REQUIRES_SAME_ISOLATION_LEVEL              held_cursor_requires_same_isolation_level
 25003    E    ERRCODE_INAPPROPRIATE_ACCESS_MODE_FOR_BRANCH_TRANSACTION       inappropriate_access_mode_for_branch_transaction
 25004    E    ERRCODE_INAPPROPRIATE_ISOLATION_LEVEL_FOR_BRANCH_TRANSACTION   inappropriate_isolation_level_for_branch_transaction
 25005    E    ERRCODE_NO_ACTIVE_SQL_TRANSACTION_FOR_BRANCH_TRANSACTION       no_active_sql_transaction_for_branch_transaction
 25006    E    ERRCODE_READ_ONLY_SQL_TRANSACTION                              read_only_sql_transaction
 25007    E    ERRCODE_SCHEMA_AND_DATA_STATEMENT_MIXING_NOT_SUPPORTED         schema_and_data_statement_mixing_not_supported
+25008    E    ERRCODE_HELD_CURSOR_REQUIRES_SAME_ISOLATION_LEVEL              held_cursor_requires_same_isolation_level
 25P01    E    ERRCODE_NO_ACTIVE_SQL_TRANSACTION                              no_active_sql_transaction
 25P02    E    ERRCODE_IN_FAILED_SQL_TRANSACTION                              in_failed_sql_transaction
 25P03    E    ERRCODE_IDLE_IN_TRANSACTION_SESSION_TIMEOUT                    idle_in_transaction_session_timeout
@@ -261,10 +261,10 @@ Section: Class 2D - Invalid Transaction Termination
 Section: Class 2F - SQL Routine Exception
 
 2F000    E    ERRCODE_SQL_ROUTINE_EXCEPTION                                  sql_routine_exception
-2F005    E    ERRCODE_S_R_E_FUNCTION_EXECUTED_NO_RETURN_STATEMENT            function_executed_no_return_statement
 2F002    E    ERRCODE_S_R_E_MODIFYING_SQL_DATA_NOT_PERMITTED                 modifying_sql_data_not_permitted
 2F003    E    ERRCODE_S_R_E_PROHIBITED_SQL_STATEMENT_ATTEMPTED               prohibited_sql_statement_attempted
 2F004    E    ERRCODE_S_R_E_READING_SQL_DATA_NOT_PERMITTED                   reading_sql_data_not_permitted
+2F005    E    ERRCODE_S_R_E_FUNCTION_EXECUTED_NO_RETURN_STATEMENT            function_executed_no_return_statement
 
 Section: Class 34 - Invalid Cursor Name
 
@@ -303,8 +303,8 @@ Section: Class 3F - Invalid Schema Name
 Section: Class 40 - Transaction Rollback
 
 40000    E    ERRCODE_TRANSACTION_ROLLBACK                                   transaction_rollback
-40002    E    ERRCODE_T_R_INTEGRITY_CONSTRAINT_VIOLATION                     transaction_integrity_constraint_violation
 40001    E    ERRCODE_T_R_SERIALIZATION_FAILURE                              serialization_failure
+40002    E    ERRCODE_T_R_INTEGRITY_CONSTRAINT_VIOLATION                     transaction_integrity_constraint_violation
 40003    E    ERRCODE_T_R_STATEMENT_COMPLETION_UNKNOWN                       statement_completion_unknown
 40P01    E    ERRCODE_T_R_DEADLOCK_DETECTED                                  deadlock_detected
 
@@ -312,22 +312,8 @@ Section: Class 42 - Syntax Error or Access Rule Violation
 
 42000    E    ERRCODE_SYNTAX_ERROR_OR_ACCESS_RULE_VIOLATION                  syntax_error_or_access_rule_violation
 # never use the above; use one of these two if no specific code exists:
-42601    E    ERRCODE_SYNTAX_ERROR                                           syntax_error
 42501    E    ERRCODE_INSUFFICIENT_PRIVILEGE                                 insufficient_privilege
-42846    E    ERRCODE_CANNOT_COERCE                                          cannot_coerce
-42803    E    ERRCODE_GROUPING_ERROR                                         grouping_error
-42P20    E    ERRCODE_WINDOWING_ERROR                                        windowing_error
-42P19    E    ERRCODE_INVALID_RECURSION                                      invalid_recursion
-42830    E    ERRCODE_INVALID_FOREIGN_KEY                                    invalid_foreign_key
-42602    E    ERRCODE_INVALID_NAME                                           invalid_name
-42622    E    ERRCODE_NAME_TOO_LONG                                          name_too_long
-42939    E    ERRCODE_RESERVED_NAME                                          reserved_name
-42804    E    ERRCODE_DATATYPE_MISMATCH                                      datatype_mismatch
-42P18    E    ERRCODE_INDETERMINATE_DATATYPE                                 indeterminate_datatype
-42P21    E    ERRCODE_COLLATION_MISMATCH                                     collation_mismatch
-42P22    E    ERRCODE_INDETERMINATE_COLLATION                                indeterminate_collation
-42809    E    ERRCODE_WRONG_OBJECT_TYPE                                      wrong_object_type
-428C9    E    ERRCODE_GENERATED_ALWAYS                                       generated_always
+42601    E    ERRCODE_SYNTAX_ERROR                                           syntax_error
 
 # Note: for ERRCODE purposes, we divide namable objects into these categories:
 # databases, schemas, prepared statements, cursors, tables, columns,
@@ -340,30 +326,40 @@ Section: Class 42 - Syntax Error or Access Rule Violation
 # The same breakdown is used for "duplicate" and "ambiguous" complaints,
 # as well as complaints associated with incorrect declarations.
 
-42703    E    ERRCODE_UNDEFINED_COLUMN                                       undefined_column
+26000    E    ERRCODE_UNDEFINED_PSTATEMENT
 34000    E    ERRCODE_UNDEFINED_CURSOR
 3D000    E    ERRCODE_UNDEFINED_DATABASE
-42883    E    ERRCODE_UNDEFINED_FUNCTION                                     undefined_function
-26000    E    ERRCODE_UNDEFINED_PSTATEMENT
 3F000    E    ERRCODE_UNDEFINED_SCHEMA
+
+42602    E    ERRCODE_INVALID_NAME                                           invalid_name
+42611    E    ERRCODE_INVALID_COLUMN_DEFINITION                              invalid_column_definition
+42622    E    ERRCODE_NAME_TOO_LONG                                          name_too_long
+42701    E    ERRCODE_DUPLICATE_COLUMN                                       duplicate_column
+42702    E    ERRCODE_AMBIGUOUS_COLUMN                                       ambiguous_column
+42703    E    ERRCODE_UNDEFINED_COLUMN                                       undefined_column
+42704    E    ERRCODE_UNDEFINED_OBJECT                                       undefined_object
+42710    E    ERRCODE_DUPLICATE_OBJECT                                       duplicate_object
+42712    E    ERRCODE_DUPLICATE_ALIAS                                        duplicate_alias
+42723    E    ERRCODE_DUPLICATE_FUNCTION                                     duplicate_function
+42725    E    ERRCODE_AMBIGUOUS_FUNCTION                                     ambiguous_function
+42803    E    ERRCODE_GROUPING_ERROR                                         grouping_error
+42804    E    ERRCODE_DATATYPE_MISMATCH                                      datatype_mismatch
+42809    E    ERRCODE_WRONG_OBJECT_TYPE                                      wrong_object_type
+42830    E    ERRCODE_INVALID_FOREIGN_KEY                                    invalid_foreign_key
+42846    E    ERRCODE_CANNOT_COERCE                                          cannot_coerce
+42883    E    ERRCODE_UNDEFINED_FUNCTION                                     undefined_function
+428C9    E    ERRCODE_GENERATED_ALWAYS                                       generated_always
+42939    E    ERRCODE_RESERVED_NAME                                          reserved_name
 42P01    E    ERRCODE_UNDEFINED_TABLE                                        undefined_table
 42P02    E    ERRCODE_UNDEFINED_PARAMETER                                    undefined_parameter
-42704    E    ERRCODE_UNDEFINED_OBJECT                                       undefined_object
-42701    E    ERRCODE_DUPLICATE_COLUMN                                       duplicate_column
 42P03    E    ERRCODE_DUPLICATE_CURSOR                                       duplicate_cursor
 42P04    E    ERRCODE_DUPLICATE_DATABASE                                     duplicate_database
-42723    E    ERRCODE_DUPLICATE_FUNCTION                                     duplicate_function
 42P05    E    ERRCODE_DUPLICATE_PSTATEMENT                                   duplicate_prepared_statement
 42P06    E    ERRCODE_DUPLICATE_SCHEMA                                       duplicate_schema
 42P07    E    ERRCODE_DUPLICATE_TABLE                                        duplicate_table
-42712    E    ERRCODE_DUPLICATE_ALIAS                                        duplicate_alias
-42710    E    ERRCODE_DUPLICATE_OBJECT                                       duplicate_object
-42702    E    ERRCODE_AMBIGUOUS_COLUMN                                       ambiguous_column
-42725    E    ERRCODE_AMBIGUOUS_FUNCTION                                     ambiguous_function
 42P08    E    ERRCODE_AMBIGUOUS_PARAMETER                                    ambiguous_parameter
 42P09    E    ERRCODE_AMBIGUOUS_ALIAS                                        ambiguous_alias
 42P10    E    ERRCODE_INVALID_COLUMN_REFERENCE                               invalid_column_reference
-42611    E    ERRCODE_INVALID_COLUMN_DEFINITION                              invalid_column_definition
 42P11    E    ERRCODE_INVALID_CURSOR_DEFINITION                              invalid_cursor_definition
 42P12    E    ERRCODE_INVALID_DATABASE_DEFINITION                            invalid_database_definition
 42P13    E    ERRCODE_INVALID_FUNCTION_DEFINITION                            invalid_function_definition
@@ -371,6 +367,11 @@ Section: Class 42 - Syntax Error or Access Rule Violation
 42P15    E    ERRCODE_INVALID_SCHEMA_DEFINITION                              invalid_schema_definition
 42P16    E    ERRCODE_INVALID_TABLE_DEFINITION                               invalid_table_definition
 42P17    E    ERRCODE_INVALID_OBJECT_DEFINITION                              invalid_object_definition
+42P18    E    ERRCODE_INDETERMINATE_DATATYPE                                 indeterminate_datatype
+42P19    E    ERRCODE_INVALID_RECURSION                                      invalid_recursion
+42P20    E    ERRCODE_WINDOWING_ERROR                                        windowing_error
+42P21    E    ERRCODE_COLLATION_MISMATCH                                     collation_mismatch
+42P22    E    ERRCODE_INDETERMINATE_COLLATION                                indeterminate_collation
 
 Section: Class 44 - WITH CHECK OPTION Violation
 
@@ -433,32 +434,32 @@ Section: Class HV - Foreign Data Wrapper Error (SQL/MED)
 
 # (SQL/MED-specific error class)
 HV000    E    ERRCODE_FDW_ERROR                                              fdw_error
-HV005    E    ERRCODE_FDW_COLUMN_NAME_NOT_FOUND                              fdw_column_name_not_found
+HV001    E    ERRCODE_FDW_OUT_OF_MEMORY                                      fdw_out_of_memory
 HV002    E    ERRCODE_FDW_DYNAMIC_PARAMETER_VALUE_NEEDED                     fdw_dynamic_parameter_value_needed
-HV010    E    ERRCODE_FDW_FUNCTION_SEQUENCE_ERROR                            fdw_function_sequence_error
-HV021    E    ERRCODE_FDW_INCONSISTENT_DESCRIPTOR_INFORMATION                fdw_inconsistent_descriptor_information
-HV024    E    ERRCODE_FDW_INVALID_ATTRIBUTE_VALUE                            fdw_invalid_attribute_value
-HV007    E    ERRCODE_FDW_INVALID_COLUMN_NAME                                fdw_invalid_column_name
-HV008    E    ERRCODE_FDW_INVALID_COLUMN_NUMBER                              fdw_invalid_column_number
 HV004    E    ERRCODE_FDW_INVALID_DATA_TYPE                                  fdw_invalid_data_type
+HV005    E    ERRCODE_FDW_COLUMN_NAME_NOT_FOUND                              fdw_column_name_not_found
 HV006    E    ERRCODE_FDW_INVALID_DATA_TYPE_DESCRIPTORS                      fdw_invalid_data_type_descriptors
-HV091    E    ERRCODE_FDW_INVALID_DESCRIPTOR_FIELD_IDENTIFIER                fdw_invalid_descriptor_field_identifier
+HV007    E    ERRCODE_FDW_INVALID_COLUMN_NAME                                fdw_invalid_column_name
+HV008    E    ERRCODE_FDW_INVALID_COLUMN_NUMBER                              fdw_invalid_column_number
+HV009    E    ERRCODE_FDW_INVALID_USE_OF_NULL_POINTER                        fdw_invalid_use_of_null_pointer
+HV00A    E    ERRCODE_FDW_INVALID_STRING_FORMAT                              fdw_invalid_string_format
 HV00B    E    ERRCODE_FDW_INVALID_HANDLE                                     fdw_invalid_handle
 HV00C    E    ERRCODE_FDW_INVALID_OPTION_INDEX                               fdw_invalid_option_index
 HV00D    E    ERRCODE_FDW_INVALID_OPTION_NAME                                fdw_invalid_option_name
-HV090    E    ERRCODE_FDW_INVALID_STRING_LENGTH_OR_BUFFER_LENGTH             fdw_invalid_string_length_or_buffer_length
-HV00A    E    ERRCODE_FDW_INVALID_STRING_FORMAT                              fdw_invalid_string_format
-HV009    E    ERRCODE_FDW_INVALID_USE_OF_NULL_POINTER                        fdw_invalid_use_of_null_pointer
-HV014    E    ERRCODE_FDW_TOO_MANY_HANDLES                                   fdw_too_many_handles
-HV001    E    ERRCODE_FDW_OUT_OF_MEMORY                                      fdw_out_of_memory
-HV00P    E    ERRCODE_FDW_NO_SCHEMAS                                         fdw_no_schemas
 HV00J    E    ERRCODE_FDW_OPTION_NAME_NOT_FOUND                              fdw_option_name_not_found
 HV00K    E    ERRCODE_FDW_REPLY_HANDLE                                       fdw_reply_handle
-HV00Q    E    ERRCODE_FDW_SCHEMA_NOT_FOUND                                   fdw_schema_not_found
-HV00R    E    ERRCODE_FDW_TABLE_NOT_FOUND                                    fdw_table_not_found
 HV00L    E    ERRCODE_FDW_UNABLE_TO_CREATE_EXECUTION                         fdw_unable_to_create_execution
 HV00M    E    ERRCODE_FDW_UNABLE_TO_CREATE_REPLY                             fdw_unable_to_create_reply
 HV00N    E    ERRCODE_FDW_UNABLE_TO_ESTABLISH_CONNECTION                     fdw_unable_to_establish_connection
+HV00P    E    ERRCODE_FDW_NO_SCHEMAS                                         fdw_no_schemas
+HV00Q    E    ERRCODE_FDW_SCHEMA_NOT_FOUND                                   fdw_schema_not_found
+HV00R    E    ERRCODE_FDW_TABLE_NOT_FOUND                                    fdw_table_not_found
+HV010    E    ERRCODE_FDW_FUNCTION_SEQUENCE_ERROR                            fdw_function_sequence_error
+HV014    E    ERRCODE_FDW_TOO_MANY_HANDLES                                   fdw_too_many_handles
+HV021    E    ERRCODE_FDW_INCONSISTENT_DESCRIPTOR_INFORMATION                fdw_inconsistent_descriptor_information
+HV024    E    ERRCODE_FDW_INVALID_ATTRIBUTE_VALUE                            fdw_invalid_attribute_value
+HV091    E    ERRCODE_FDW_INVALID_DESCRIPTOR_FIELD_IDENTIFIER                fdw_invalid_descriptor_field_identifier
+HV090    E    ERRCODE_FDW_INVALID_STRING_LENGTH_OR_BUFFER_LENGTH             fdw_invalid_string_length_or_buffer_length
 
 Section: Class P0 - PL/pgSQL Error
 
